﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using UnittestDemo;
using NSubstitute;

namespace UnittestDemoUnit
{
    [TestClass]
    public class ReportAnalyseUnitTest
    {
        [TestMethod]
        public void ReportAnalyse_Analyse_UnitTest()
        {
            IServiceReport mockServiceReport = Substitute.For<IServiceReport>();
            Report mockresult = null;
            mockServiceReport.QueryReport(Arg.Any<string>()).Returns(mockresult);
            ReportAnalyse testReportAnalyse = new ReportAnalyse(mockServiceReport);
            bool result = testReportAnalyse.Analyse(DateTime.Now);

            Assert.IsTrue(result);
        }
    }
}
